: Class FolderPanel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.ui
Class FolderPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--grendel.ui.GeneralPanel
                                    |
                                    +--grendel.ui.FolderPanel

public class FolderPanel
extends GeneralPanel

Panel to display the contents of a folder.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`static int` | `kAll` The all messages scope
`static int` | `kAttachment` Forward as Attachment
`static java.lang.String` | `kDateID` The Date column ID
`static java.lang.String` | `kDeletedID` The Deleted (X) column ID
`static java.lang.String` | `kFlagID` The flag column ID
`static int` | `kInline` Forward Inline
`static int` | `kMessage` The individual message scope
`static int` | `kQuoted` Forward Quoted
`static java.lang.String` | `kReadID` The read column ID
`static java.lang.String` | `kSenderID` The Sender column ID
`static java.lang.String` | `kSubjectID` The Subject column ID
`static int` | `kThread` The thread scope

Fields inherited from class grendel.ui.GeneralPanel
`fResourceBase, fToolBar`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`FolderPanel()` Constructs a folder panel

Method Summary
`void` | `addFolderPanelListener(FolderPanelListener aListener)` Adds a FolderPanelListener
`void` | `dispose()`
`UIAction[]` | `getActions()` Returns the actions available for this panel
`javax.mail.Folder` | `getFolder()` Returns the current folder
`java.util.Enumeration` | `getSelection()` Returns an enumeration of `TreePaths`s representing the current selection.``
`GrendelToolBar` | `getToolBar()` Returns the toolbar associated with this panel.
`boolean` | `isOpaque()`
`void` | `removeFolderPanelListener(FolderPanelListener aListener)` Removes a FolderPanelListener
`void` | `setFolder(javax.mail.Folder aFolder)` Sets the folder displayed to the given folder.

Methods inherited from class grendel.ui.GeneralPanel
`buildToolBar`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kSenderID

    public static final java.lang.String kSenderID

  The Sender column ID

### kSubjectID

    public static final java.lang.String kSubjectID

  The Subject column ID

### kDateID

    public static final java.lang.String kDateID

  The Date column ID

### kReadID

    public static final java.lang.String kReadID

  The read column ID

### kFlagID

    public static final java.lang.String kFlagID

  The flag column ID

### kDeletedID

    public static final java.lang.String kDeletedID

  The Deleted (X) column ID

### kMessage

    public static final int kMessage

  The individual message scope

### kThread

    public static final int kThread

  The thread scope

### kAll

    public static final int kAll

  The all messages scope

### kQuoted

    public static final int kQuoted

  Forward Quoted

### kInline

    public static final int kInline

  Forward Inline

### kAttachment

    public static final int kAttachment

  Forward as Attachment

Constructor Detail

### FolderPanel

    public FolderPanel()

  Constructs a folder panel

Method Detail

### dispose

    public void dispose()

### setFolder

    public void setFolder(javax.mail.Folder aFolder)

  Sets the folder displayed to the given folder. If the folder is null, the folder display is cleared.

### getFolder

    public javax.mail.Folder getFolder()

  Returns the current folder

### getSelection

    public java.util.Enumeration getSelection()

  Returns an enumeration of `TreePaths`s representing the current selection. The tips of the paths are ViewedMessages.``

### getActions

    public UIAction[] getActions()

  Returns the actions available for this panel
  Overrides:
    getActions in class GeneralPanel

### getToolBar

    public GrendelToolBar getToolBar()

  Returns the toolbar associated with this panel.
  Overrides:
    getToolBar in class GeneralPanel

### addFolderPanelListener

    public void addFolderPanelListener(FolderPanelListener aListener)

  Adds a FolderPanelListener

### removeFolderPanelListener

    public void removeFolderPanelListener(FolderPanelListener aListener)

  Removes a FolderPanelListener

### isOpaque

    public boolean isOpaque()

  Overrides:
    isOpaque in class javax.swing.JComponent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD